Subject: bug#6390: Should not regexp-quote quote newline?

From: Lennart Borgman <[email-masked]>
Date: Sat, 12 Jun 2010 15:37:05 +0200

On Sat, Jun 12, 2010 at 8:51 AM, Kevin Rodgers
<[email-masked]> wrote:
> Lennart Borgman wrote:
> ...
>>
>> The only interpretation I can make is that the madness is already here
>> since linefeed and form-feed already may be written as \n and \f if
>> you set print-escape-newlines to t. All I proposed was that it should
>> write tab as \t too.
>
> Perhaps there should be a separate variable to print escape sequences for
> all
> the ASCII control characters (see the Basic Char Syntax node of the Emacs
> Lisp
> manual):
>
> \a, \b, \t, \n, \v, \f, \r, \e, \d
>
> It would probably be controversial to include \s and \\ , since they aren't
> control characters.

Maybe the variable should be a list of the ASCII control chars that
the print string function should translate to \t etc?

>> I might not have proposed that if I knew it was that utterly
>> disturbing to someone. ;-)
>
> Perhaps MON KEY objects to backwards-incompatibility.

Yes, I think it was a misunderstanding. And I guess the reason was my
bad proposal in the start of this where I did not distinguish between
the printed string and the actual string. So I guess it is my fault.
(I actually rather confused the regexp syntax with the printed string
syntax, of course.)